package org.processmining.miminer.configuration;

import java.util.Map;

import javax.swing.JComponent;

import org.deckfour.xes.classification.XEventClassifier;
import org.processmining.framework.util.ui.wizard.ProMWizardStep;
import org.processmining.miminer.MIMinerConfiguration;

public class StateArtifactMapping implements ProMWizardStep<MIMinerConfiguration> {

	public MIMinerConfiguration apply(MIMinerConfiguration configuration, JComponent configurationPanel) {
		StateArtifactMappingPanel stateArtifactMappingPanel = (StateArtifactMappingPanel) configurationPanel;
		configuration.classifier = (XEventClassifier) stateArtifactMappingPanel.classifierSelection.getSelectedItem();
		stateArtifactMappingPanel.updateStateNames(configuration.classifier);
		
		configuration.types.clear();
		configuration.stateTypesMap.clear();
		Map<String, String> stateArtifactMap = stateArtifactMappingPanel.classifierStateArtifactMap.get(configuration.classifier);
		for (String state : stateArtifactMap.keySet()) {
			String[] artifacts = stateArtifactMap.get(state).split(";");
			
			for (String artifact : artifacts) {
				if (artifact.equals("")) continue;
				
				configuration.stateTypesMap.put(state, artifact);
				configuration.types.add(artifact);
			}
		}
		
		return configuration;
	}

	public boolean canApply(MIMinerConfiguration configuration, JComponent configurationPanel) {
		return true;
	}

	public JComponent getComponent(MIMinerConfiguration configuration) {
		return new StateArtifactMappingPanel(configuration);
	}

	public String getTitle() {
		return "Multi Instance Miner Configuration";
	}

}
