package org.processmining.miminer.models;

import java.util.Date;
import java.util.Map;

import org.deckfour.xes.model.XEvent;
import org.processmining.log.utils.XUtils;

public class StateEntry {
	
	public enum RelationType {
		CREATE, UPDATE, DELETE
	}
	
	public Integer artifactInstance;
	public XEvent event;
	public Map<Integer,RelationType> relatedInstances;
	
	public StateEntry(Integer artifactInstance, XEvent event, Map<Integer,RelationType> relatedInstances) {
		this.artifactInstance = artifactInstance;
		this.event = event;
		this.relatedInstances = relatedInstances;
	}
	
	public Date getTimestamp() {
		return XUtils.getTimestamp(event);
	}
	
	public String toString() {
		return artifactInstance + ":" + XUtils.getConceptName(event);
	}
}
