package org.processmining.miminer.plugins;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.miminer.MIMinerResults;
import org.processmining.miminer.visualisation.MIMinerInteractiveVisualisation;

public class MIMinerVisualisationPlugin {
	@Plugin(
			name = "@0 Show MI Miner Results",
			level = PluginLevel.Regular,
			returnLabels = { "Visualisation of MI Results" },
			returnTypes = { JComponent.class },
			parameterLabels = { "Multi Instance Miner Results" },
			userAccessible = true)
	@Visualizer
	public JComponent visualize(UIPluginContext context, MIMinerResults results) {
		return new MIMinerInteractiveVisualisation(results);
	}
}
